%define pkgname coderay
Summary:	Fast syntax highlighter engine for many programming languages
Name:		ruby-%{pkgname}
Version:	1.0.9
Release:	1
License:	MIT
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	2e2619f9dc74f6443c80118c429752e1
Group:		Development/Languages
URL:		http://coderay.rubychan.de/
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
BuildRequires:	sed >= 4.0
%if %(locale -a | grep -q '^en_US$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Coderay is a Ruby library for syntax highlighting. CodeRay is build to
be easy to use and intuitive, but at the same time fully featured,
complete, fast and efficient.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}
%{__sed} -i -e '1 s,#!.*ruby,#!%{__ruby},' bin/*

%build
%__gem_helper spec

# UTF8 locale needed for doc generation
export LC_ALL=en_US.UTF-8
rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -fr ri/{GZip,String}
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{ruby_vendorlibdir},%{ruby_specdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a bin/* $RPM_BUILD_ROOT%{_bindir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README_INDEX.rdoc
%attr(755,root,root) %{_bindir}/coderay
%{ruby_vendorlibdir}/coderay.rb
%{ruby_vendorlibdir}/coderay
%{ruby_specdir}/coderay-%{version}.gemspec

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/CodeRay
%changelog
* Wed Sep 25 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-coderay.git;a=log;h=master

* Wed Sep 25 2013 Elan Ruusamäe <glen@delfi.ee> 30039a8
- build gem provides

* Wed Sep 25 2013 Elan Ruusamäe <glen@delfi.ee> 8d50c0e
- use utf8 locale for rdoc/ri generation

* Wed Sep 25 2013 Elan Ruusamäe <glen@delfi.ee> b6b347b
- up to 1.0.9; package to vendor dirs

* Mon Dec 12 2011 Jan Rękorajski <baggins@pld-linux.org> 0a65ee2
- 1.0.4

* Fri Jul 08 2011 Jan Rękorajski <baggins@pld-linux.org> 975c261
- 0.9.8

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 13fc0b0
- initial revision

